Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/BreathFirstMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/BreathFirstMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/BreathFirstMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
@@ -36,9 +36,9 @@
   /// </summary>
   [Item("BreathFirstMapper", "Resolves the non-terminal symbols of the resulting phenotypic syntax tree in a breath-first manner.")]
-  [StorableClass]
+  [StorableType("7E8D7511-83C3-4F12-8883-BD20FCB58986")]
   public class BreathFirstMapper : GenotypeToPhenotypeMapper {
 
     [StorableConstructor]
-    protected BreathFirstMapper(bool deserializing) : base(deserializing) { }
+    protected BreathFirstMapper(StorableConstructorFlag _) : base(_) { }
     protected BreathFirstMapper(BreathFirstMapper original, Cloner cloner) : base(original, cloner) { }
     public BreathFirstMapper() : base() { }
Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/DepthFirstMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/DepthFirstMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/DepthFirstMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,5 +30,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
@@ -37,9 +37,9 @@
   /// </summary>
   [Item("DepthFirstMapper", "Resolves the non-terminal symbols of the resulting phenotypic syntax tree in a depth-first manner.")]
-  [StorableClass]
+  [StorableType("9FACB397-FB99-4858-8962-DBB1FE16C54B")]
   public class DepthFirstMapper : GenotypeToPhenotypeMapper {
 
     [StorableConstructor]
-    protected DepthFirstMapper(bool deserializing) : base(deserializing) { }
+    protected DepthFirstMapper(StorableConstructorFlag _) : base(_) { }
     protected DepthFirstMapper(DepthFirstMapper original, Cloner cloner) : base(original, cloner) { }
     public DepthFirstMapper() : base() { }
Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/GenotypeToPhenotypeMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/GenotypeToPhenotypeMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/GenotypeToPhenotypeMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.GrammaticalEvolution.Mappers;
 using HeuristicLab.Random;
@@ -37,9 +37,9 @@
   /// Abstract base class for GenotypeToPhenotypeMappers
   /// </summary>
-  [StorableClass]
+  [StorableType("427C4EB7-7888-4AB2-824A-E1F2EB1DE2FA")]
   public abstract class GenotypeToPhenotypeMapper : IntegerVectorOperator, IGenotypeToPhenotypeMapper {
 
     [StorableConstructor]
-    protected GenotypeToPhenotypeMapper(bool deserializing) : base(deserializing) { }
+    protected GenotypeToPhenotypeMapper(StorableConstructorFlag _) : base(_) { }
     protected GenotypeToPhenotypeMapper(GenotypeToPhenotypeMapper original, Cloner cloner) : base(original, cloner) { }
     protected GenotypeToPhenotypeMapper() : base() { }
Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,6 +26,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution.Mappers {
+  [StorableType("17ca7334-176c-4d80-89f9-ae918dcc65d2")]
   /// <summary>
   /// IGenotypeToPhenotypeMapper
Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/PIGEMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/PIGEMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/PIGEMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
@@ -68,5 +68,5 @@
   /// </remarks>
   [Item("PIGEMapper", "Position Independent (PI) Grammatical Evolution Mapper")]
-  [StorableClass]
+  [StorableType("AFD85902-C2EA-47F5-8284-BA1759848580")]
   public class PIGEMapper : GenotypeToPhenotypeMapper {
 
@@ -86,5 +86,5 @@
 
     [StorableConstructor]
-    protected PIGEMapper(bool deserializing) : base(deserializing) { }
+    protected PIGEMapper(StorableConstructorFlag _) : base(_) { }
     protected PIGEMapper(PIGEMapper original, Cloner cloner) : base(original, cloner) { }
     public PIGEMapper() : base() { }
Index: stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/RandomMapper.cs
===================================================================
--- stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/RandomMapper.cs	(revision 15584)
+++ stable/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/RandomMapper.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
@@ -36,9 +36,9 @@
   /// </summary>
   [Item("RandomMapper", "Randomly determines the next non-terminal symbol to expand.")]
-  [StorableClass]
+  [StorableType("FD52470F-EA9A-4E95-8DE0-66C9B9F5F4EB")]
   public class RandomMapper : GenotypeToPhenotypeMapper {
 
     [StorableConstructor]
-    protected RandomMapper(bool deserializing) : base(deserializing) { }
+    protected RandomMapper(StorableConstructorFlag _) : base(_) { }
     protected RandomMapper(RandomMapper original, Cloner cloner) : base(original, cloner) { }
     public RandomMapper() : base() { }
